Cloud Computing: The Digital Shift 2.0 – Understanding the Current Market Trends

Ruby

Passing commandline parameter (arguments) to ruby file using optparser – Josh Software

Passing commandline parameter (arguments) to ruby file using optparser – Josh Software Ruby file accepts from command prompt in the form of array. Passing parameters ruby input.rb TOI DH TimesNew Accessing parameters # input.rb p ARGV # => [“TOI”, “DH”, “TimesNew”] p ARGV[0] # => “TOI” p ARGV[1] # => “DH” Optparser : parses commandline …

Passing commandline parameter (arguments) to ruby file using optparser – Josh Software Read More »

10 steps to get start with MySpace Ruby SDK

Follow 10 simple steps in order to use myspace sdk api 1. Remove all your previous gems installed+ gem uninstall myspace 2. Checkout sample source code svn checkout http://myspaceid-ruby-sdk.googlecode.com/svn/trunk/ myspacesdk 3. cd myspacesdk/samples/rails/sample4. Modify config/database.yml accordingly development:adapter: mysqldatabase: sample_developmentpassword: abcdpool: 5timeout: 5000 5. Download http://myspaceid-ruby-sdk.googlecode.com/files/myspaceid-sdk-0.1.11.gem6. gem install –local ~/Desktop/myspaceid-sdk-0.1.11.gem i.e.PATH_TO_GEM7. Above command supposed to give …

10 steps to get start with MySpace Ruby SDK Read More »

–no-ri –no-rdoc for ruby gem installation

One can install gem without rdoc using gem install GEM_NAME –no-ri –no-rdoc Skip ri rdoc for all gem installation as i haven’t seen anyone using it. Edit gemrc fileAdd following line to itvi ~/.gemrc:gem: –no-ri –no-rdoc Here is my ~/.gemrc file—:verbose: truegem: –no-ri –no-rdoc:update_sources: true:sources:- http://gems.rubyforge.org- http://gems.github.com:backtrace: false:bulk_threshold: 1000:benchmark: false That’s it !

Managing multiple ruby versions and rails versions with rvm

While working with many projects that uses different ruby versions and rails versions, one big problem arises that how do we manage all this ? We know that managing multiple rails versions wont be problem at all.but what about ruby versions, How one can manage multiple ruby versions. also while upgrading or degrading ruby version, …

Managing multiple ruby versions and rails versions with rvm Read More »

upgrading rails version

Here are the simple steps to be followed while upgrading rails version to use. # Install rails version1. gem install rails -v == gem install rails 2.3.3 # Upgrade environment.rb for new version2. RAILS_GEM_VERSION = ” unless defined? RAILS_GEM_VERSION == RAILS_GEM_VERSION = ‘2.3.3’ unless defined? RAILS_GEM_VERSION # Upgrade necessary files for the new version3. rake …

upgrading rails version Read More »

Installing ruby 1.9.1

installing ruby 1.9.1 is very easy …….follow simple steps wget ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.1-p0.tar.gz tar -xvf ruby-1.9.1-p0.tar.gz cd ruby-1.9.1-p0./configure makemake testsudo make install Thats, it !